KDE 4.2 PyKDE API Reference

- KDE's Python API

# ChangeRecorder Class Reference

`from PyKDE4.akonadi import *`

Inherits: Akonadi.Monitor → QObject
Namespace: Akonadi

## Detailed Description

Records and replays change notification.

This class is responsible for recording change notification during an agent is not online and replay the notifications when the agent is online again. Therefor the agent doesn't have to care about online/offline mode in its synchronization algorithm.

Author:
  Volker Krause <vkrause@kde.org>

## Signals

| changesAdded ()

## Methods

| __init__ (self, QObject parent=0)
| changeProcessed (self)
| changesAdded (self)
bool | isEmpty (self)
| replayNext (self)
| setChangeRecordingEnabled (self, bool enable)
| setConfig (self, QSettings settings)

## Method Documentation

__init__ | ( | self, |
|  | QObject | parent=0
| ) |  |  |

Creates a new change recorder.

changeProcessed | ( |  | self ) |

Removes the previously emitted change from the records.

changesAdded | ( |  | self ) |

Emitted when new changes are recorded.

Signal syntax:
  `QObject.connect(source, SIGNAL("changesAdded()"), target_slot)`

bool isEmpty | ( |  | self ) |

Returns whether there are recorded changes.

replayNext | ( |  | self ) |

Replay the next change notification and erase the previous one from the record.

setChangeRecordingEnabled | ( | self, |
|  | bool | enable
| ) |  |  |

Enables change recording. If change recording is disabled, this class behaves exactly like Akonadi.Monitor. Change recording is enabled by default.

setConfig | ( | self, |
|  | QSettings | settings
| ) |  |  |

Sets the QSettings object used for persisting recorded changes.